### Constructor

# Gimp VectorLoadProcedure new

since: 3.0

#### Declaration [src]

    GimpProcedure*
    gimp_vector_load_procedure_new (
      GimpPlugIn* plug_in,
      const gchar* name,
      GimpPDBProcType proc_type,
      GimpExtractVectorFunc extract_func,
      gpointer extract_data,
      GDestroyNotify extract_data_destroy,
      GimpRunVectorLoadFunc run_func,
      gpointer run_data,
      GDestroyNotify run_data_destroy
    )

#### Description [src]

Creates a new load procedure named `name` which will call `run_func` when invoked.

See `gimp_procedure_new()` for information about `proc_type`.

Available since: 3.0

#### Parameters

`plug_in`

  Type: `GimpPlugIn`

  A `GimpPlugIn`.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The new procedure’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`proc_type`

  Type: `GimpPDBProcType`

  The new procedure’s `GimpPDBProcType`.

`extract_func`

  Type: `GimpExtractVectorFunc`

  No description available.

`extract_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`extract_data_destroy`

  Type: `GDestroyNotify`

  No description available.

`run_func`

  Type: `GimpRunVectorLoadFunc`

  The run function for the new procedure.

`run_data`

  Type: `gpointer`

  User data passed to `run_func`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`run_data_destroy`

  Type: `GDestroyNotify`

  Free function for `run_data`, or `NULL`.

  The argument can be `NULL`.

#### Return value

Type: `GimpProcedure`

A new `GimpProcedure`.

The caller of the function takes ownership of the data, and is responsible for freeing it.